# Uses of Class
javax.management.MalformedObjectNameException

Packages that use MalformedObjectNameException
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.

## Uses of MalformedObjectNameException in javax.management

Methods in javax.management that throw MalformedObjectNameException
Modifier and Type
Method
Description
`static ObjectName`
ObjectName.`getInstance(String name)`
Return an instance of ObjectName that can be used anywhere an object obtained with `new ObjectName(name)` can be used.
`static ObjectName`
ObjectName.`getInstance(String domain, String key, String value)`
Return an instance of ObjectName that can be used anywhere an object obtained with `new ObjectName(domain, key, value)` can be used.
`static ObjectName`
ObjectName.`getInstance(String domain, Hashtable<String,String> table)`
Return an instance of ObjectName that can be used anywhere an object obtained with `new ObjectName(domain, table)` can be used.
Constructors in javax.management that throw MalformedObjectNameException
Modifier
Constructor
Description
``
`ObjectInstance(String objectName, String className)`
Allows an object instance to be created given a string representation of an object name and the full class name, including the package name.
``
`ObjectName(String name)`
Construct an object name from the given string.
``
`ObjectName(String domain, String key, String value)`
Construct an object name with exactly one key property.
``
`ObjectName(String domain, Hashtable<String,String> table)`
Construct an object name with several key properties from a Hashtable.